From 5001f2e1a325b68dbf225bd17f69a4d3d975cca5 Mon Sep 17 00:00:00 2001
From: John Crispin <john@phrozen.org>
Date: Thu, 9 Mar 2017 09:31:44 +0100
Subject: [PATCH 61/69] mtd: "rootfs" conflicts with OpenWrt auto mounting

Signed-off-by: John Crispin <john@phrozen.org>
---
 drivers/mtd/parsers/qcom_smem_part.c | 4 ++++
 1 file changed, 4 insertions(+)

--- a/drivers/mtd/parsers/qcom_smem_part.c
+++ b/drivers/mtd/parsers/qcom_smem_part.c
@@ -189,6 +189,10 @@ static int parse_qcom_smem_partitions(st
 		m_part->size = le32_to_cpu(s_part->size) * (*smem_blksz);
 		m_part->offset = le32_to_cpu(s_part->start) * (*smem_blksz);
 
+		/* "rootfs" conflicts with OpenWrt auto mounting */
+		if (mtd_type_is_nand(master) && !strcmp(m_part->name, "rootfs"))
+			m_part->name = "ubi";
+
 		/*
 		 * The last SMEM partition may have its size marked as
 		 * something like 0xffffffff, which means "until the end of the
